# $Revision: 1.12 $, $Date: 2012/01/28 21:09:47 $
%define		source_name gmpc-avahi
Summary:	Avahi plugin for Gnome Music Player Client
Summary(pl.UTF-8):	Wtyczka avahi dla odtwarzacza Gnome Music Player Client
Name:		gmpc-plugin-avahi
Version:	11.8.16
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{source_name}-%{version}.tar.gz
# Source0-md5:	255dfb9694503a2892f1c25314c29907
URL:		http://gmpc.wikia.com/wiki/GMPC_PLUGIN_AVAHI
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	gmpc-devel >= 0.19.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool
BuildRequires:	libmpd-devel >= 0.19.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
Requires:	avahi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Avahi plugin auto-detects the presence of MPD servers in the network.
For every found server it adds a profile and updates it when the IP
address of the server changes.

%description -l pl.UTF-8
Wtyczka Avahi automatycznie wykrywa obecność serwerów MPD w sieci. Dla
każdego znalezionego serwera dodaje profil i uaktualnia go, gdy adres
IP serwera ulegnie zmianie.

%prep
%setup -qn %{source_name}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/gmpc/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gmpc/plugins/avahiplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc-plugin-avahi.spec,v $
Revision 1.12  2012/01/28 21:09:47  glen
- up to 11.8.16; just typo fix

Revision 1.11  2011/02/06 23:18:01  sparky
- unified preamble in %changelog

Revision 1.10  2011/01/30 15:51:56  sparky
- BR: gettext-devel, intltool

Revision 1.9  2010/09/12 14:18:48  wiget
- 0.20.0

Revision 1.8  2009/10/04 14:40:23  wiget
- updated to 0.19.0

Revision 1.7  2009/09/13 15:53:41  wiget
- updated to 0.18.100

Revision 1.6  2009/03/28 17:34:20  wiget
- updated to 0.18.0

Revision 1.5  2009/01/24 17:10:52  megabajt
- R: avahi

Revision 1.4  2009/01/24 17:08:13  megabajt
- added descriptions
- updated deps

Revision 1.3  2008/12/28 22:12:54  wiget
- 0.17.0

Revision 1.2  2008/12/22 23:45:44  wiget
- updated to 0.16.96

Revision 1.1  2008/02/04 10:42:16  czarny
- new
- NFY; desc needed
